summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-calculators/pcalc')
-rw-r--r--sci-calculators/pcalc/Manifest4
-rw-r--r--sci-calculators/pcalc/metadata.xml12
-rw-r--r--sci-calculators/pcalc/pcalc-1.2.ebuild19
-rw-r--r--sci-calculators/pcalc/pcalc-1.3.ebuild27
-rw-r--r--sci-calculators/pcalc/pcalc-2.ebuild28
-rw-r--r--sci-calculators/pcalc/pcalc-3.ebuild27
6 files changed, 117 insertions, 0 deletions
diff --git a/sci-calculators/pcalc/Manifest b/sci-calculators/pcalc/Manifest
new file mode 100644
index 000000000000..145b6d50f005
--- /dev/null
+++ b/sci-calculators/pcalc/Manifest
@@ -0,0 +1,4 @@
+DIST pcalc-1.2.tar.bz2 95921 SHA256 ae7548463492c931c24b89143a2c3301f0c0a035a97907bf6d30fa5feffbc5f0
+DIST pcalc-1.3.tar.lzma 88669 SHA256 3016d257062094292269b9637b21ae5cd34dd8efd2844ba802d12f1a4dd91810
+DIST pcalc-2.tar.lzma 92758 SHA256 be93062e8a15029ea50e4f9f9d0fd4fdbab82c927b7b93afa6f7fa398081c78f SHA512 f36db3d960a2feeaad5717349a6fff461f01ca074d016a3faab1141729e9f25d17e650f0e108c950f5ae7115ac4a778427687639fde52b2d28419cb9b9526adb WHIRLPOOL 7b8256d9a478f56ae5f3ef2f92276ee3487ad3146922e80ab836ad9731da92770c7c47ba97a604f4a05fb39dd4779f33879d4873df95d86abbc9e69447430739
+DIST pcalc-3.tar.xz 66908 SHA256 13db2b0594e61deedb07640b21b20b5242aae955d6febf1806e1f295408f694c SHA512 55b6644300a8eb5224df5a0885907c10847df7ab6296d012eb2bb638876687ddbe23d5b76e31ac6ff4c159e44940d5cf6ba747f2a410943fdc25c9d9855fd60e WHIRLPOOL ea2d44694cb30284d782e84a43422c597ef75ef7442718ff5288db74a3a3413bd79b5e237e443bbc3be4a030262911b283180daae5f00dcee772fc65ecce8345
diff --git a/sci-calculators/pcalc/metadata.xml b/sci-calculators/pcalc/metadata.xml
new file mode 100644
index 000000000000..f7f2c211445a
--- /dev/null
+++ b/sci-calculators/pcalc/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci</herd>
+ <maintainer>
+ <email>vapier@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourceforge">pcalc</remote-id>
+ <remote-id type="github">vapier/pcalc</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sci-calculators/pcalc/pcalc-1.2.ebuild b/sci-calculators/pcalc/pcalc-1.2.ebuild
new file mode 100644
index 000000000000..d8d9dcd55397
--- /dev/null
+++ b/sci-calculators/pcalc/pcalc-1.2.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils
+
+DESCRIPTION="the programmers calculator"
+HOMEPAGE="https://github.com/vapier/pcalc"
+SRC_URI="mirror://sourceforge/pcalc/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86"
+IUSE=""
+
+src_install() {
+ emake install DESTDIR="${D}" || die
+ dodoc AUTHORS ChangeLog EXAMPLE README
+}
diff --git a/sci-calculators/pcalc/pcalc-1.3.ebuild b/sci-calculators/pcalc/pcalc-1.3.ebuild
new file mode 100644
index 000000000000..e4715a7dc768
--- /dev/null
+++ b/sci-calculators/pcalc/pcalc-1.3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit toolchain-funcs
+
+DESCRIPTION="the programmers calculator"
+HOMEPAGE="https://github.com/vapier/pcalc"
+SRC_URI="mirror://sourceforge/pcalc/${P}.tar.lzma"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86"
+IUSE=""
+
+DEPEND="sys-devel/flex"
+RDEPEND=""
+
+src_compile() {
+ tc-export CC
+ emake pcalc || die
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die
+ dodoc AUTHORS ChangeLog EXAMPLE README
+}
diff --git a/sci-calculators/pcalc/pcalc-2.ebuild b/sci-calculators/pcalc/pcalc-2.ebuild
new file mode 100644
index 000000000000..d99ec312836a
--- /dev/null
+++ b/sci-calculators/pcalc/pcalc-2.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit toolchain-funcs
+
+DESCRIPTION="the programmers calculator"
+HOMEPAGE="https://github.com/vapier/pcalc"
+SRC_URI="mirror://sourceforge/pcalc/${P}.tar.lzma"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND="sys-devel/flex"
+RDEPEND=""
+
+src_prepare() {
+ sed -i -e "s:/usr:${EPREFIX}/usr:g" Makefile || die
+}
+
+src_compile() {
+ tc-export CC
+ emake pcalc
+}
diff --git a/sci-calculators/pcalc/pcalc-3.ebuild b/sci-calculators/pcalc/pcalc-3.ebuild
new file mode 100644
index 000000000000..05f100bd15db
--- /dev/null
+++ b/sci-calculators/pcalc/pcalc-3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit toolchain-funcs
+
+DESCRIPTION="the programmers calculator"
+HOMEPAGE="https://github.com/vapier/pcalc"
+SRC_URI="mirror://sourceforge/pcalc/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND="sys-devel/flex"
+RDEPEND=""
+
+src_prepare() {
+ sed -i -e "s:/usr:${EPREFIX}/usr:g" Makefile || die
+}
+
+src_configure() {
+ tc-export CC
+}